Package net.shibboleth.idp.plugin.authn.webauthn.impl

# Class WebAuthnSupport

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.impl.WebAuthnSupport

@ThreadSafe public final class WebAuthnSupport extends Object
Helper methods for WebAuthn.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`WebAuthnSupport()`
Private constructor.

## Method Summary

Modifier and Type
Method
Description
`static String`
`toBase64OrUnknown(byte[] value)`
Convert the value to a Base64 encoded string.
`static String`
`toBase64UrlOrUnknown(byte[] value)`
Convert the value to a Base64 URL encoded string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebAuthnSupport

private WebAuthnSupport()
Private constructor.

## Method Details

### toBase64UrlOrUnknown

public static String toBase64UrlOrUnknown(@Nullable byte[] value)
Convert the value to a Base64 URL encoded string. Return "unknown" if there is an error.

Parameters:
  `value` - the value to Base64 URL encode
Returns:
  the Bas64 URL encoded string or "unknown".

### toBase64OrUnknown

public static String toBase64OrUnknown(@Nullable byte[] value)
Convert the value to a Base64 encoded string. Return "unknown" if there is an error.

Parameters:
  `value` - the value to Base64 URL encode
Returns:
  the Bas64 URL encoded string or "unknown".